Index: mfcuk/src/mfcuk.c
===================================================================
--- mfcuk.orig/src/mfcuk.c	2014-09-26 08:38:07.539174044 -0400
+++ mfcuk/src/mfcuk.c	2014-09-26 08:43:40.819166179 -0400
@@ -214,9 +214,9 @@
 
 static uint32_t bswap_32_pu8(uint8_t *pu8)
 {
-  uint32_t u32;
-  memcpy(&u32, pu8, sizeof(uint32_t));
-  return u32;
+  // TODO: This function need to be tested on both endianness machine types
+  return pu8[0] << 24 | pu8[1] << 16 | pu8[2] << 8 | pu8[3];
+
 }
 
 extern mfcuk_finger_tmpl_entry mfcuk_finger_db[];
